/// Use Case: Get Points Records
///
/// Retrieves all points records for the current user.
library;

import 'package:worker/features/loyalty/domain/entities/points_record.dart';
import 'package:worker/features/loyalty/domain/repositories/points_record_repository.dart';

/// Get Points Records Use Case
class GetPointsRecords {
  const GetPointsRecords(this._repository);

  final PointsRecordRepository _repository;

  /// Execute use case
  Future<List<PointsRecord>> call() async {
    return await _repository.getPointsRecords();
  }
}
